% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/licensemanager_operations.R
\name{licensemanager_list_received_grants}
\alias{licensemanager_list_received_grants}
\title{Lists grants that are received}
\usage{
licensemanager_list_received_grants(
  GrantArns = NULL,
  Filters = NULL,
  NextToken = NULL,
  MaxResults = NULL
)
}
\arguments{
\item{GrantArns}{Amazon Resource Names (ARNs) of the grants.}

\item{Filters}{Filters to scope the results. The following filters are supported:
\itemize{
\item \code{ProductSKU}
\item \code{LicenseIssuerName}
\item \code{LicenseArn}
\item \code{GrantStatus}
\item \code{GranterAccountId}
}}

\item{NextToken}{Token for the next set of results.}

\item{MaxResults}{Maximum number of results to return in a single call.}
}
\description{
Lists grants that are received. Received grants are grants created while specifying the recipient as this Amazon Web Services account, your organization, or an organizational unit (OU) to which this member account belongs.

See \url{https://www.paws-r-sdk.com/docs/licensemanager_list_received_grants/} for full documentation.
}
\keyword{internal}
