% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/licensemanagerusersubscriptions_operations.R
\name{licensemanagerusersubscriptions_update_identity_provider_settings}
\alias{licensemanagerusersubscriptions_update_identity_provider_settings}
\title{Updates additional product configuration settings for the registered
identity provider}
\usage{
licensemanagerusersubscriptions_update_identity_provider_settings(
  IdentityProvider = NULL,
  IdentityProviderArn = NULL,
  Product = NULL,
  UpdateSettings
)
}
\arguments{
\item{IdentityProvider}{}

\item{IdentityProviderArn}{The Amazon Resource Name (ARN) of the identity provider to update.}

\item{Product}{The name of the user-based subscription product.

Valid values: \code{VISUAL_STUDIO_ENTERPRISE} | \code{VISUAL_STUDIO_PROFESSIONAL}
| \code{OFFICE_PROFESSIONAL_PLUS} | \code{REMOTE_DESKTOP_SERVICES}}

\item{UpdateSettings}{[required] Updates the registered identity provider’s product related configuration
settings. You can update any combination of settings in a single
operation such as the:
\itemize{
\item Subnets which you want to add to provision VPC endpoints.
\item Subnets which you want to remove the VPC endpoints from.
\item Security group ID which permits traffic to the VPC endpoints.
}}
}
\description{
Updates additional product configuration settings for the registered identity provider.

See \url{https://www.paws-r-sdk.com/docs/licensemanagerusersubscriptions_update_identity_provider_settings/} for full documentation.
}
\keyword{internal}
