% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/resiliencehub_operations.R
\name{resiliencehub_list_unsupported_app_version_resources}
\alias{resiliencehub_list_unsupported_app_version_resources}
\title{Lists the resources that are not currently supported in Resilience Hub}
\usage{
resiliencehub_list_unsupported_app_version_resources(
  appArn,
  appVersion,
  maxResults = NULL,
  nextToken = NULL,
  resolutionId = NULL
)
}
\arguments{
\item{appArn}{[required] Amazon Resource Name (ARN) of the Resilience Hub application. The format
for this ARN is:
arn:\code{partition}:resiliencehub:\code{region}:\code{account}:app/\code{app-id}. For more
information about ARNs, see \href{https://docs.aws.amazon.com/IAM/latest/UserGuide/reference-arns.html}{Amazon Resource Names (ARNs)}
in the \emph{Amazon Web Services General Reference} guide.}

\item{appVersion}{[required] The version of the application.}

\item{maxResults}{Maximum number of results to include in the response. If more results
exist than the specified \code{MaxResults} value, a token is included in the
response so that the remaining results can be retrieved.}

\item{nextToken}{Null, or the token from a previous call to get the next set of results.}

\item{resolutionId}{The identifier for a specific resolution.}
}
\description{
Lists the resources that are not currently supported in Resilience Hub. An unsupported resource is a resource that exists in the object that was used to create an app, but is not supported by Resilience Hub.

See \url{https://www.paws-r-sdk.com/docs/resiliencehub_list_unsupported_app_version_resources/} for full documentation.
}
\keyword{internal}
