% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/servicecatalog_operations.R
\name{servicecatalog_update_product}
\alias{servicecatalog_update_product}
\title{Updates the specified product}
\usage{
servicecatalog_update_product(
  AcceptLanguage = NULL,
  Id,
  Name = NULL,
  Owner = NULL,
  Description = NULL,
  Distributor = NULL,
  SupportDescription = NULL,
  SupportEmail = NULL,
  SupportUrl = NULL,
  AddTags = NULL,
  RemoveTags = NULL,
  SourceConnection = NULL
)
}
\arguments{
\item{AcceptLanguage}{The language code.
\itemize{
\item \code{jp} - Japanese
\item \code{zh} - Chinese
}}

\item{Id}{[required] The product identifier.}

\item{Name}{The updated product name.}

\item{Owner}{The updated owner of the product.}

\item{Description}{The updated description of the product.}

\item{Distributor}{The updated distributor of the product.}

\item{SupportDescription}{The updated support description for the product.}

\item{SupportEmail}{The updated support email for the product.}

\item{SupportUrl}{The updated support URL for the product.}

\item{AddTags}{The tags to add to the product.}

\item{RemoveTags}{The tags to remove from the product.}

\item{SourceConnection}{Specifies connection details for the updated product and syncs the
product to the connection source artifact. This automatically manages
the product's artifacts based on changes to the source. The
\code{SourceConnection} parameter consists of the following sub-fields.
\itemize{
\item \code{Type}
\item \code{ConnectionParamters}
}}
}
\description{
Updates the specified product.

See \url{https://www.paws-r-sdk.com/docs/servicecatalog_update_product/} for full documentation.
}
\keyword{internal}
