% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ssm_operations.R
\name{ssm_put_resource_policy}
\alias{ssm_put_resource_policy}
\title{Creates or updates a Systems Manager resource policy}
\usage{
ssm_put_resource_policy(
  ResourceArn,
  Policy,
  PolicyId = NULL,
  PolicyHash = NULL
)
}
\arguments{
\item{ResourceArn}{[required] Amazon Resource Name (ARN) of the resource to which you want to attach a
policy.}

\item{Policy}{[required] A policy you want to associate with a resource.}

\item{PolicyId}{The policy ID.}

\item{PolicyHash}{ID of the current policy version. The hash helps to prevent a situation
where multiple users attempt to overwrite a policy. You must provide
this hash when updating or deleting a policy.}
}
\description{
Creates or updates a Systems Manager resource policy. A resource policy helps you to define the IAM entity (for example, an Amazon Web Services account) that can manage your Systems Manager resources. The following resources support Systems Manager resource policies.

See \url{https://www.paws-r-sdk.com/docs/ssm_put_resource_policy/} for full documentation.
}
\keyword{internal}
